Bug 720694 - (CVE-2010-4555) CVE-2010-4555 SquirrelMail: Multiple XSS flaws
CVE-2010-4555 SquirrelMail: Multiple XSS flaws
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20110711,reported=20110712,sou...
: Security
Depends On: 720696 720697 737980 737981 737982 833983
Blocks: 720699 720700
  Show dependency treegraph
 
Reported: 2011-07-12 10:19 EDT by Jan Lieskovsky
Modified: 2016-03-04 06:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 11:36:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2011-07-12 10:19:57 EDT
Multiple cross-site scripting (XSS) flaws were found in the SquirrelMail webmail client:
* XSS flaws in generic options inputs,
* XSS flaw in the SquirrelSpell plug-in,
* XSS flaw in the Index Order page.

Also protection against Cross-site Request Forgery (CSRF) flaws has been added
to the empty trash feature and to the Index Order page.

The CSRF flaws got a dedicated CVE identifier of CVE-2011-2753. For further information have a look at:
[1] https://bugzilla.redhat.com/show_bug.cgi?id=CVE-2011-2753

Upstream advisory:
[2] http://www.squirrelmail.org/security/issue/2011-07-11

Relevant upstream patch:
[3] http://squirrelmail.svn.sourceforge.net/viewvc/squirrelmail?view=revision&revision=14119
Comment 1 Jan Lieskovsky 2011-07-12 10:22:28 EDT
These issues affect the versions of the squirrelmail package, as shipped with
Red Hat Enterprise Linux 4 and 5.

--

These issues affect the version of the squirrelmail package, as present within
EPEL-6 repository. Please schedule an update.

--

These issues affect the versions of the squirrelmail package, as shipped with
Fedora release of 14 and 15. Please schedule an update.
Comment 2 Jan Lieskovsky 2011-07-12 10:25:24 EDT
Created squirrelmail tracking bugs for this issue

Affects: epel-6 [bug 720696]
Affects: fedora-all [bug 720697]
Comment 5 errata-xmlrpc 2012-02-08 14:47:49 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2012:0103 https://rhn.redhat.com/errata/RHSA-2012-0103.html

Note You need to log in before you can comment on or make changes to this bug.